#include <iostream>

using namespace std;

short minIndex(short arr[], short excl) {
    short r = excl == 0 ? 1 : 0;
    for (short i = 0; i < 4; i++) {
        if (i == excl)
            continue;
        if (arr[i] < arr[r])
            r = i;
    }
    return r;
}

short maxIndex(short arr[], short excl) {
    short r = excl == 0 ? 1 : 0;
    for (short i = 0; i < 4; i++) {
        if (i == excl)
            continue;
        if (arr[i] > arr[r])
            r = i;
    }
    return r;
}

short swap(short arr[], short first) {
    short temp = arr[first];
    arr[first] = arr[first + 1];
    arr[first + 1] = temp;
}

short maxShort(short s1, short s2) {
    return s1 > s2 ? s1 : s2;
}

short minShort(short s1, short s2) {
    return s1 < s2 ? s1 : s2;
}

short merge(short arr[], short first) {
    arr[first] = maxShort(arr[first], arr[first + 1]);
    for (short i = first + 1; i < 3; i++) {
        arr[i] = arr[i + 1];
    }
}

short unmerge(short arr[], short first, short a, short b) {
    for (short i = first + 2; i < 4; i++) {
        arr[i] = arr[i - 1];
    }
    arr[first] = a;
    arr[first + 1] = b;
}

short calc(short arr[]) {
    if (arr[1] == 4)
        return 3;
    return 2;
}

int main() {
    short nSizes[4];
    cin >> nSizes[0] >> nSizes[1] >> nSizes[2] >> nSizes[3];

    short sizes[4];
    short b1 = minIndex(nSizes, -1);
    short b2 = maxIndex(nSizes, -1);
    sizes[b1] = 1;
    sizes[minIndex(nSizes, b1)] = 2;
    sizes[maxIndex(nSizes, b2)] = 3;
    sizes[b2] = 4;

    #ifdef DEBUG
    cout << sizes[0] << " " << sizes[1] << " " << sizes[2] << " " << sizes[3] << endl;
    #endif

    short result = 10000;

    if (abs(sizes[0] - sizes[1]) == 1 && minShort(sizes[0], sizes[1]) == 1) {
        #ifdef DEBUG
        cout << 4 << endl;
        #endif
        merge(sizes, 0);
        result = 1 + calc(sizes);
    } else if (abs(sizes[1] - sizes[2]) == 1 && minShort(sizes[1], sizes[2]) == 1) {
        #ifdef DEBUG
        cout << 5 << endl;
        #endif
        merge(sizes, 1);
        result = 1 + calc(sizes);
    } else if (abs(sizes[2] - sizes[3]) == 1 && minShort(sizes[2], sizes[3]) == 1) {
        #ifdef DEBUG
        cout << 6 << endl;
        #endif
        merge(sizes, 2);
        result = 1 + calc(sizes);
    } else if (abs(sizes[0] - sizes[3]) == 1 && minShort(sizes[0], sizes[3]) == 1) {
        short n1 = sizes[0];
        short n2 = sizes[3];
        #ifdef DEBUG
        cout << 1 << endl;
        #endif

        swap(sizes, 0);
        swap(sizes, 1);

        merge(sizes, 2);

        result = 3 + calc(sizes);

        unmerge(sizes, 2, n1, n2);

        swap(sizes, 1);
        swap(sizes, 2);

        merge(sizes, 1);

        if (3 + calc(sizes) < result)
            result = 3 + calc(sizes);

        unmerge(sizes, 1, n1, n2);

        swap(sizes, 0);
        swap(sizes, 1);

        merge(sizes, 0);

        if (3 + calc(sizes) < result)
            result = 3 + calc(sizes);
    } else if (abs(sizes[0] - sizes[2]) == 1 && minShort(sizes[0], sizes[2]) == 1) {
        short n1 = sizes[0];
        short n2 = sizes[2];
        #ifdef DEBUG
        cout << 2 << endl;
        #endif

        swap(sizes, 0);

        merge(sizes, 1);

        result = 2 + calc(sizes);

        unmerge(sizes, 1, n1, n2);

        swap(sizes, 0);
        swap(sizes, 1);

        merge(sizes, 0);

        if (2 + calc(sizes) < result)
            result = 2 + calc(sizes);
    } else {
        short n1 = sizes[1];
        short n2 = sizes[3];
        #ifdef DEBUG
        cout << 3 << endl;
        #endif

        swap(sizes, 1);

        merge(sizes, 2);

        result = 2 + calc(sizes);

        unmerge(sizes, 2, n1, n2);

        swap(sizes, 1);
        swap(sizes, 2);

        merge(sizes, 1);

        if (2 + calc(sizes) < result)
            result = 2 + calc(sizes);
    }

    cout << result;

	return 0;
}
